# taken from CMFCorePermissions.py

from Products.CMFCore.permissions import setDefaultRoles

## Blog
ADD_EASYBLOG = "EasyBlog: Add EasyBlog"
setDefaultRoles(ADD_EASYBLOG, ("Manager", "Owner"))

REVIEW_EASYBLOG = "EasyBlog: Review Blog"
setDefaultRoles(REVIEW_EASYBLOG, ("Manager", "Reviewer"))

## Entry
ADD_EASYBLOGENTRY = "EasyBlog: Add EasyBlogEntry"
setDefaultRoles(ADD_EASYBLOGENTRY, ("Manager", ))

DEL_EASYBLOGENTRY = "EasyBlog: Delete EasyBlogEntry"
setDefaultRoles(DEL_EASYBLOGENTRY, ("Manager"))

## Comment
ADD_EASYBLOGCOMMENT = "EasyBlog: Add EasyBlogComment"
setDefaultRoles(ADD_EASYBLOGCOMMENT, ("Manager", "Anonymous"))

DEL_EASYBLOGCOMMENT = "EasyBlog: Delete EasyBlogComment"
setDefaultRoles(ADD_EASYBLOGCOMMENT, ("Manager", ))

## Category
ADD_EASYBLOGCATEGORY = "EasyBlog: Add EasyBlogCategory" 
setDefaultRoles(ADD_EASYBLOGCATEGORY, ("Manager", ))

DEL_EASYBLOGCATEGORY = "EasyBlog: Delete EasyBlogCategory" 
setDefaultRoles(DEL_EASYBLOGCATEGORY, ("Manager", ))

## Trackback
ADD_EASYBLOGTRACKBACK = "EasyBlog: Add EasyBlogTrackback"
setDefaultRoles(ADD_EASYBLOGTRACKBACK, ("Manager", ))

DEL_EASYBLOGTRACKBACK = "EasyBlog: Delete EasyBlogTrackback"
setDefaultRoles(DEL_EASYBLOGTRACKBACK, ("Manager", ))

#################################################################
# Structure objects
ADD_EASYBLOGDRAFTS = "EasyBlog: Add EasyBlogDrafts"
setDefaultRoles(ADD_EASYBLOGDRAFTS, ("Manager", ))

ADD_EASYBLOGARCHIVE = "EasyBlog: Add EasyBlogArchive"
setDefaultRoles(ADD_EASYBLOGARCHIVE, ("Manager", ))

ADD_EASYBLOGCATEGORIES = "EasyBlog: Add EasyBlogCategories"
setDefaultRoles(ADD_EASYBLOGCATEGORIES, ("Manager", ))

ADD_EASYBLOGARCHIVEFOLDER = "EasyBlog: Add EasyBlogArchiveFolder"
setDefaultRoles(ADD_EASYBLOGARCHIVEFOLDER, ("Manager", ))

ADD_EASYBLOGTRACKBACKS = "EasyBlog: Add EasyBlogTrackbacks"
setDefaultRoles(ADD_EASYBLOGTRACKBACKS, ("Manager", ))

ADD_EASYBLOGCOMMENTS = "EasyBlog: Add EasyBlogComments"
setDefaultRoles(ADD_EASYBLOGCOMMENTS, ("Manager", ))
