from Products.EasyBlog.utils.EasyLogger import EasyLogger
from Products.CMFCore.utils import getToolByName

def migrate(self):
    """ """    
    pc = getToolByName(self, "portal_catalog")
    
    # Migrate Blogs
    results = pc.searchResults(portal_type="EasyBlog")        
    for result in results:
        blog = result.getObject()
        
        # default
        blog.showTitle = True
        blog.showDescription = True
        blog.showDocumentByLine = True
        blog.showDocumentActions = True
        
        # comments
        blog.showComments = blog.allowComments
        blog.patternsToReviewComments = ""
        
        # trackbacks
        blog.autodetectTrackbacks = True
        blog.showTrackbacks = blog.receiveTrackbacks
        blog.patternsToReviewTrackbacks = "<patterns review comments>"

    # Migrate Entries    
    results = pc.searchResults(portal_type="EasyBlogEntry")
    for result in results:
        entry = result.getObject()       
                
        entry.trackbackLog = EasyLogger()
        
        # default
        entry.autodetectTrackbacks = True
        
        # comments
        entry.showComments = "default"
        entry.allowComments = "default"
        
        # trackbacks
        entry.showTrackbacks = "default" 
        entry.receiveTrackbacks = "default"
        
    
    return "Migrated to EasyBlog 0.5"
