from Products.CMFCore.utils import ContentInit, ToolInit
from Products.CMFCore import DirectoryView
from Products.CMFCore.permissions import setDefaultRoles

from Products.Archetypes.public import *

from config import *

DirectoryView.registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
	
    from AccessControl import allow_module
    allow_module('Products.EasyBlog.content.EasyLogger.EasyLogger')
    allow_module("pdb")
	
    import Products.EasyBlog.content.EasyBlog    
    import Products.EasyBlog.content.EasyBlogEntry
    import Products.EasyBlog.content.EasyBlogDrafts
    import Products.EasyBlog.content.EasyBlogArchive
    import Products.EasyBlog.content.EasyBlogArchiveFolder
    import Products.EasyBlog.content.EasyBlogCategory
    import Products.EasyBlog.content.EasyBlogCategories
    import Products.EasyBlog.content.EasyBlogTrackbacks
    import Products.EasyBlog.content.EasyBlogTrackback
    import Products.EasyBlog.content.EasyBlogComments
    import Products.EasyBlog.content.EasyBlogComment
    
    import Products.EasyBlog.EasyBlogTool
    
    content_types, constructors, ftis = process_types(listTypes(PROJECTNAME), PROJECTNAME)    

    allTypes = zip(content_types, constructors)    
    for type, constructor in allTypes:
        
        kind = "%s: %s" % (PROJECTNAME, type.archetype_name)
        
        ContentInit(
            kind,
            content_types      = (type, ),
            permission         = PERMISSIONS[type.archetype_name],
            extra_constructors = (constructor, ),
            fti                = ftis,
            ).initialize(context)

    ToolInit(
        "EasyBlogTool",
        tools = (EasyBlogTool.EasyBlogTool, ),
        product_name = "EasyBlog",
        icon = "tool.gif").initialize(context)
