from Products.Archetypes.public import *

from AccessControl import ClassSecurityInfo

from Products.EasyBlog.config import *
from Products.EasyBlog.content.EasyBlogBase import EasyBlogBase
from Products.EasyBlog.schemata.SEasyBlogArchiveFolder import SEasyBlogArchiveFolder
from Products.EasyBlog.interfaces.IEasyBlogArchiveFolder import IEasyBlogArchiveFolder
from Products.EasyBlog.interfaces.IEasyBlogBase import IEasyBlogBase

class EasyBlogArchiveFolder(BaseFolder, EasyBlogBase):                                                          
    """A folder to structure the blog entries"""

    security = ClassSecurityInfo()
    content_icon          = 'folder_icon.gif'
    meta_type             = 'EasyBlogArchiveFolder'
    portal_type           = 'EasyBlogArchiveFolder'
    archetype_name        = 'EasyBlogArchiveFolder'
    immediate_view        = 'easyblogarchive_view'
    default_view          = 'easyblogarchive_view'
    global_allow          = False    
    filter_content_types  = True
    allowed_content_types = ("EasyBlogArchiveFolder", "EasyBlogEntry")    
    schema                = SEasyBlogArchiveFolder
    
    __implements__ = (IEasyBlogBase.__implements__, IEasyBlogArchiveFolder)

    aliases = ({'(Default)' : 'easyblogarchive_view', 
                'view'      : 'easyblogarchive_view',
                'base_view' : 'easyblogarchive_view', 
                })
 
    
registerType(EasyBlogArchiveFolder, PROJECTNAME)
