from Products.Archetypes.public import *
from AccessControl import ClassSecurityInfo
from Products.EasyBlog.config import *
from Products.EasyBlog.content.EasyBlogBase import EasyBlogBase
from Products.EasyBlog.schemata.SEasyBlogDrafts import SEasyBlogDrafts
from Products.EasyBlog.interfaces.IEasyBlogDrafts import IEasyBlogDrafts
from Products.EasyBlog.interfaces.IEasyBlogBase import IEasyBlogBase

class EasyBlogDrafts(BaseFolder, EasyBlogBase):															 
	"""A folderish type to hold all drafts"""

	security = ClassSecurityInfo()
	content_icon		  = 'folder_icon.gif'
	meta_type			  = 'EasyBlogDrafts'
	portal_type			  = 'EasyBlogDrafts'
	archetype_name		  = 'EasyBlogDrafts'
	immediate_view		  = 'easyblogdrafts_view'
	global_allow		  = False	 
	filter_content_types  = True
	allowed_content_types = ("EasyBlogEntry", )	   
	schema				  = SEasyBlogDrafts

	__implements__ = (IEasyBlogDrafts, IEasyBlogBase.__implements__, )

	aliases = ({'(Default)' : 'easyblogdrafts_view', 
				'view'		: 'easyblogdrafts_view',
				'base_view' : 'easyblogdrafts_view', 
				})
	
def modify_fti(fti):
	for a in fti['actions']:
		if a['id'] in ('edit', 'references', 'metadata'):
			a['visible'] = 0
	return fti
		
registerType(EasyBlogDrafts, PROJECTNAME)
