from Products.Archetypes.public import *

# SEasyBlogCommentBase = BaseSchema.copy()
# 
# SEasyBlogCommentBase["id"].mode = "r"
# 
# SEasyBlogCommentBase['title'].widget.label = 'Name'
# SEasyBlogCommentBase['title'].widget.description='Your name.'
# 

SEasyBlogCommentBase = BaseSchema.copy()
    
SEasyBlogComment = SEasyBlogCommentBase + Schema((        
  StringField(
    name   = 'email',
    widget = StringWidget(
      label             = 'E-Mail',
      description       = "Your e-mail.",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogcomment_email_description',
      label_msgid       = 'easyblogcomment_email_label',
      )
    ), 
  StringField(
    name   = 'homepage',
    widget = StringWidget(
      label             = 'Homepage',
      description       = "The URL of your homepage.",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogcomment_homepage_description',
      label_msgid       = 'easyblogcomment_homepage_label',
      )
    ), 
  TextField(
    name   = 'message',
    required = True,
    searchable = True,
    default_content_type    = 'text/html',
    default_output_type     = 'text/html',
    allowable_content_types = ('text/html',),
    widget = TextAreaWidget(
      label             = 'Message',
      description       = "",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogcomment_message_description',
      label_msgid       = 'easyblogcomment_message_label',
      macro_edit        = 'eb_textarea_widget',
      )
    ),
  StringField(
    name   = "ipaddress",
    widget = StringWidget(
      visible           = {'edit': 'hidden', 'view': 'hidden'},
      )
    ),  
  )
)

