# Changes automatically the state after adding a entry in dependence wheather the comment is moderated or not
# States are only changed automatically if the user hasn't the Manager role
# is called by form_controller after validate_integrity (validate_integrity is a part of Archetypes)

from Products.CMFCore.WorkflowCore import WorkflowException
from Products.CMFCore.utils import getToolByName

try:
    if context.portal_membership.getAuthenticatedMember().has_role('Manager') == False:
        
        if context.getBlog().getModerateComments() == True:
            context.portal_workflow.doActionFor(context, "submit")                             # makes the Comment uneditable but not public
            state.set(portal_status_message="Your comment has been submited and will be published soon.")
        else:

            if context.alwaysReview() == True:
                context.portal_workflow.doActionFor(context, "submit")                             # makes the Comment uneditable but not public
                state.set(portal_status_message="Your comment has been submited and will be published soon.")
            else:        
                context.portal_workflow.doActionFor(context, "publish")                            # makes the Comment uneditable and public
                state.set(portal_status_message="Your comment has been published.")
          
except WorkflowException, e:
    return state.set(status = "failure", portal_status_message=e)
else:
    return state.set(status = "success")