## Test EasyBlogArchiveFolder

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.EasyBlog.tests import EasyBlogTestCase

class TestEasyBlogArchiveFolder(EasyBlogTestCase.EasyBlogTestCase):
        
    def testTypeInformation(self):               
        portal_type = self.portal.portal_types        
        type_info = portal_type.getTypeInfo("EasyBlogArchiveFolder")
        
        self.assertEqual(type_info.global_allow, False)
        self.assertEqual(type_info.filter_content_types, True)
        self.assertEqual(type_info.allowed_content_types, ("EasyBlogArchiveFolder", "EasyBlogEntry"))
        self.assertEqual(type_info.content_meta_type, "EasyBlogArchiveFolder")

        ## actions
        actions = [a.id for a in type_info._actions]        
        self.assertEqual(actions, ['view', 'edit', 'metadata', 'references', 'folderlisting'])
     
    
def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestEasyBlogArchiveFolder))
    return suite

if __name__ == '__main__':
    framework()

