## Test EasyBlogInterfaces

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.EasyBlog.tests import EasyBlogTestCase
from AccessControl import Unauthorized
from Products.EasyBlog.interfaces import *
from Products.EasyBlog.content import *
from Interface.Verify import verifyClass

class TestEasyBlogInterfaces(EasyBlogTestCase.EasyBlogTestCase):
        
    def testBlog(self):       
        verifyClass(IEasyBlog.IEasyBlog, EasyBlog.EasyBlog)

    def testBlogArchive(self):
        verifyClass(IEasyBlogArchive.IEasyBlogArchive, EasyBlogArchive.EasyBlogArchive)

    def testBlogArchiveFolder(self):
        verifyClass(IEasyBlogArchiveFolder.IEasyBlogArchiveFolder, EasyBlogArchiveFolder.EasyBlogArchiveFolder)

    def testBlogBase(self):
        verifyClass(IEasyBlogBase.IEasyBlogBase, EasyBlogBase.EasyBlogBase)

    def testBlogCategories(self):
        verifyClass(IEasyBlogCategories.IEasyBlogCategories, EasyBlogCategories.EasyBlogCategories)

    def testBlogCategory(self):
        verifyClass(IEasyBlogCategory.IEasyBlogCategory, EasyBlogCategory.EasyBlogCategory)

    def testBlogDrafts(self):
        verifyClass(IEasyBlogDrafts.IEasyBlogDrafts, EasyBlogDrafts.EasyBlogDrafts)

    def testBlogEntry(self):
        verifyClass(IEasyBlogEntry.IEasyBlogEntry, EasyBlogEntry.EasyBlogEntry)

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    #suite.addTest(makeSuite(TestEasyBlogInterfaces))
    return suite

if __name__ == '__main__':
    framework()

