import HTMLParser
from re import finditer 

class ExcerptHTMLParser(HTMLParser.HTMLParser):
    """A simple Parser to cut the excerpt without produce invalid HTML"""
   
    def __init__(self, max_chars):
        """My constructor"""
        
        HTMLParser.HTMLParser.__init__(self)
        self.max_chars = max_chars
        self.data = ""
         
    def handle_data(self, data):
        """Catch data"""
        
        iter = finditer("\w+|\W+|\s+", data)
                
        for i in iter: 
            if len(self.data) < self.max_chars:
                self.data += i.group()
                
