from Products.Archetypes.public import *
from AccessControl import ClassSecurityInfo
from Products.EasyBlog.config import *
from Products.EasyBlog.content.EasyBlogBase import EasyBlogBase
from Products.EasyBlog.schemata.SEasyBlogComments import SEasyBlogComments
from Products.EasyBlog.interfaces.IEasyBlogComments import IEasyBlogComments
from Products.EasyBlog.interfaces.IEasyBlogBase import IEasyBlogBase

class EasyBlogComments(OrderedBaseFolder, EasyBlogBase):                                                          
    """A folderish type to simply hold all Comments"""

    security = ClassSecurityInfo()
    content_icon          = 'folder_icon.gif'
    meta_type             = 'EasyBlogComments'
    portal_type           = 'EasyBlogComments'
    archetype_name        = 'EasyBlogComments'
    immediate_view        = 'base_view'
    default_view          = 'base_view'
    global_allow          = False    
    filter_content_types  = True
    allowed_content_types = ("EasyBlogComment", )    
    schema                = SEasyBlogComments
    
    __implements__ = (IEasyBlogBase.__implements__, IEasyBlogComments)

def modify_fti(fti):
    for a in fti['actions']:
        if a['id'] in ('edit', 'references', 'metadata'):
            a['visible'] = 0
    return fti
    
registerType(EasyBlogComments, PROJECTNAME)
