from Products.Archetypes.public import *
from AccessControl import ClassSecurityInfo
from Products.EasyBlog.config import *
from Products.EasyBlog.content.EasyBlogBase import EasyBlogBase
from Products.EasyBlog.schemata.SEasyBlogTrackbacks import SEasyBlogTrackbacks
from Products.EasyBlog.interfaces.IEasyBlogTrackbacks import IEasyBlogTrackbacks
from Products.EasyBlog.interfaces.IEasyBlogBase import IEasyBlogBase

class EasyBlogTrackbacks(OrderedBaseFolder, EasyBlogBase):                                                          
    """A folderish type to simply hold all trackbacks"""

    security = ClassSecurityInfo()
    content_icon          = 'folder_icon.gif'
    meta_type             = 'EasyBlogTrackbacks'
    portal_type           = 'EasyBlogTrackbacks'
    archetype_name        = 'EasyBlogTrackbacks'
    immediate_view        = 'base_view'
    default_view          = 'base_view'
    global_allow          = False    
    filter_content_types  = True
    allowed_content_types = ("EasyBlogTrackback", )    
    schema                = SEasyBlogTrackbacks
    
    __implements__ = (IEasyBlogBase.__implements__, IEasyBlogTrackbacks)
        
def modify_fti(fti):
    for a in fti['actions']:
        if a['id'] in ('edit', 'references', 'metadata'):
            a['visible'] = 0
    return fti
    
registerType(EasyBlogTrackbacks, PROJECTNAME)
