from Products.Archetypes.public import *

SEasyBlogTrackback = BaseSchema + Schema((        
  StringField(
    name   = 'blogname',
    widget = StringWidget(
      label             = 'Blogname',
      description       = "Your Blogname.",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogtrackback_blogname_description',
      label_msgid       = 'easyblogtrackback_blogname_label',
      )
    ),  
  StringField(
    name   = 'url',
    widget = StringWidget(
      label             = 'URL',
      description       = "The URL of your entry.",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogtrackback_url_description',
      label_msgid       = 'easyblogtrackback_url_label',
      )
    ), 
  TextField(
    name   = 'excerpt',
    searchable = True,
    default_content_type    = 'text/html',
    default_output_type     = 'text/html',
    allowable_content_types = ('text/html',
                               'text/structured',
                               'text/restructured',
                               'text/plain',
                               ),
    widget = TextAreaWidget(
      label             = 'Excerpt',
      description       = "The excerpt of your entry.",
      i18n_domain       = 'easyblog',
      description_msgid = 'easyblogtrackback_excerpt_description',
      label_msgid       = 'easyblogtrackback_excpert_label',
      cols              = 80,            
      rows              = 5,
      )
    ),
  StringField(
    name   = "ipaddress",
    widget = StringWidget(
      visible           = {'edit': 'hidden', 'view': 'hidden'},
      )
    ),  
  )
)
