## Test EasyBlogTool

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.EasyBlog.tests import EasyBlogTestCase
from Products.CMFCore.utils import getToolByName

class TestEasyBlogTool(EasyBlogTestCase.EasyBlogTestCase):

    def afterSetUp(self):
        self.ebt = getToolByName(self.portal, "easyblog_tool")
        
    def testGetUltimoFor(self):
        year = 2005
        months = ((1, '31'), (2, '28'), (3, '31'), (4, '30'), (5, '31'), (6, '30'), (7, '31'), (8, '31'), (9, '30'), (10, '31'), (11, '30'), (12, '31'))
        for month in months:
            self.assertEqual(self.ebt.getUltimoFor(year, month[0]), month[1])
            
    def testGetNameOfMonth(self):        
        months = ((1, 'January'), (2, 'February'), (3, 'March'), (4, 'April'), (5, 'May'), (6, 'June'), (7, 'July'), (8, 'August'), (9, 'September'), (10, 'October'), (11, 'November'), (12, 'December'))
        for month in months:
            self.assertEqual(self.ebt.getNameOfMonth(month[0]), month[1])
            
    #def testGetTitleString(self):
        #pass
    
    #def testGetAmountOfEntries(self):
        #pass
    
def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestEasyBlogTool))
    return suite

if __name__ == '__main__':
    framework()

